# $Revision: 1.22 $, $Date: 2008/07/27 22:26:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Attribute
%define		pnam	Handlers-Prospective
Summary:	Attribute::Handlers::Prospective - enhanced definition of attribute handlers
Summary(pl.UTF-8):	Attribute::Handlers::Prospective - rozszerzona definicja obsługi atrybutów
Name:		perl-Attribute-Handlers-Prospective
Version:	0.01
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d20442ca3d7f83aacbdb15f225fdf287
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Filter-Simple
BuildRequires:	perl-Parse-RecDescent
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, when inherited by a package, allows that package's class
to define attribute handler subroutines for specific attributes.
Variables and subroutines subsequently defined in that package, or in
packages derived from that package may be given attributes with the
same names as the attribute handler subroutines, which will then be
called at the end of the compilation phase (i.e. in an INIT block).

%description -l pl.UTF-8
Ten moduł, w przypadku dziedziczenia po nim w pakiecie, pozwala klasie
pakietu definiować funkcje obsługi atrybutów dla danych atrybutów.
Zmienne i funkcje zdefiniowane w tym pakiecie lub pakietach
wywodzących się z niego mogą mieć podane atrybuty o tych samych
nazwach co funkcje obsługujące atrybuty, które będą wtedy wywoływane
na końcu fazy kompilacji (czyli w bloku INIT).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%dir %{perl_vendorlib}/Attribute/Handlers
%{perl_vendorlib}/Attribute/Handlers/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Attribute-Handlers-Prospective.spec,v $
Revision 1.22  2008/07/27 22:26:45  arekm
- release 6

Revision 1.21  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 20:27:38  paladine
- formatting

Revision 1.18  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.16  2004/05/06 18:09:14  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.14  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.13  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.12  2004/03/09 20:17:00  adamg
- new style bconds

Revision 1.11  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:11  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:11:14  ankry
- added missing dir
- release 3

Revision 1.2  2002/09/10 21:28:10  qboosh
- pl description, release 2

Revision 1.1  2002/09/10 16:33:26  radek
- new, STBR
